Package com.sun.speech.freetts.en.us

# Class CMUClusterUnitVoice

java.lang.Object
com.sun.speech.freetts.Voice
com.sun.speech.freetts.en.us.CMUVoice
com.sun.speech.freetts.en.us.CMUClusterUnitVoice

All Implemented Interfaces:
  `Dumpable`, `UtteranceProcessor`, `de.dfki.lt.freetts.ConcatenativeVoice`

Direct Known Subclasses:
  `CMUArcticVoice`, `CMUTimeVoice`

public class CMUClusterUnitVoice extends CMUVoice implements de.dfki.lt.freetts.ConcatenativeVoice
Defines voice that does cluster unit selection.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected URL`
`database`

### Fields inherited from class com.sun.speech.freetts.Voice

`DATABASE_NAME, DEFAULT_AUDIO_PLAYER, DEFAULT_AUDIO_PLAYER_DEFAULT, FEATURE_JOIN_TYPE, FEATURE_SILENCE, PROP_PREFIX`

## Constructor Summary

Constructors
Constructor
Description
`CMUClusterUnitVoice(String name, Gender gender, Age age, String description, Locale locale, String domain, String organization, CMULexicon lexicon, URL database)`
Creates a simple cluster unit voice

## Method Summary

Modifier and Type
Method
Description
`URL`
`getDatabase()`
Gets the url to the database that defines the unit data for this voice.
`UtteranceProcessor`
`getPitchmarkGenerator()`
Returns the pitch mark generator to be used by this voice.
`UtteranceProcessor`
`getUnitConcatenator()`
Returns the unit concatenator to be used by this voice.
`UtteranceProcessor`
`getUnitSelector()`
Returns the unit selector to be used by this voice.
`protected void`
`setupFeatureSet()`
Sets up the FeatureSet for this Voice.
`String`
`toString()`
Converts this object to a string

### Methods inherited from class com.sun.speech.freetts.en.us.CMUVoice

`getAudioOutput, getPhoneFeature, getPostLexicalAnalyzer, getTokenizer, loader, setupFeatureProcessors, setupUtteranceProcessors`

### Methods inherited from class com.sun.speech.freetts.Voice

`addFeatureProcessor, allocate, createOutputThread, deallocate, dump, dumpProcessors, endBatch, getAge, getAudioPlayer, getDefaultAudioPlayer, getDescription, getDomain, getDurationStretch, getFeatureProcessor, getFeatures, getGender, getLexicon, getLocale, getName, getOrganization, getOutputQueue, getPitch, getPitchRange, getPitchShift, getRate, getResource, getRunTitle, getStyle, getUtteranceProcessors, getVolume, getWaveDumpFile, isDetailedMetrics, isDumpRelations, isDumpUtterance, isLoaded, isMetrics, load, processNode, processUtterance, setAge, setAudioPlayer, setDescription, setDetailedMetrics, setDomain, setDumpRelations, setDumpUtterance, setDurationStretch, setGender, setLexicon, setLoaded, setLocale, setMetrics, setName, setOrganization, setOutputQueue, setPitch, setPitchRange, setPitchShift, setRate, setRunTitle, setStyle, setVolume, setWaveDumpFile, speak, speak, speak, speak, startBatch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### database

protected URL database

## Constructor Details

### CMUClusterUnitVoice

public CMUClusterUnitVoice(String name, Gender gender, Age age, String description, Locale locale, String domain, String organization, CMULexicon lexicon, URL database)
Creates a simple cluster unit voice

Parameters:
  `name` - the name of the voice
  `gender` - the gender of the voice
  `age` - the age of the voice
  `description` - a human-readable string providing a description that can be displayed for the users.
  `locale` - the locale of the voice
  `domain` - the domain of this voice. For example,
  `organization` - the organization which created the voice "general", "time", or "weather".
  `lexicon` - the lexicon to load
  `database` - the url to the database containing unit data for this voice.

## Method Details

### getDatabase

public URL getDatabase()
Gets the url to the database that defines the unit data for this voice.

Specified by:
  `getDatabase` in interface `de.dfki.lt.freetts.ConcatenativeVoice`
Returns:
  a url to the database

### setupFeatureSet

protected void setupFeatureSet() throws IOException
Sets up the FeatureSet for this Voice.

Overrides:
  `setupFeatureSet` in class `CMUVoice`
Throws:
  `IOException` - if an I/O error occurs

### getUnitSelector

public UtteranceProcessor getUnitSelector() throws IOException
Returns the unit selector to be used by this voice. Derived voices typically override this to customize behaviors. This voice uses a cluster unit selector as the unit selector.

Specified by:
  `getUnitSelector` in interface `de.dfki.lt.freetts.ConcatenativeVoice`
Overrides:
  `getUnitSelector` in class `CMUVoice`
Returns:
  the post lexical processor
Throws:
  `IOException` - if an IO error occurs while getting processor

### getPitchmarkGenerator

public UtteranceProcessor getPitchmarkGenerator() throws IOException
Returns the pitch mark generator to be used by this voice. Derived voices typically override this to customize behaviors. There is no default unit selector

Specified by:
  `getPitchmarkGenerator` in interface `de.dfki.lt.freetts.ConcatenativeVoice`
Overrides:
  `getPitchmarkGenerator` in class `CMUVoice`
Returns:
  the post lexical processor
Throws:
  `IOException` - if an IO error occurs while getting processor

### getUnitConcatenator

public UtteranceProcessor getUnitConcatenator() throws IOException
Returns the unit concatenator to be used by this voice. Derived voices typically override this to customize behaviors. There is no default unit selector

Specified by:
  `getUnitConcatenator` in interface `de.dfki.lt.freetts.ConcatenativeVoice`
Overrides:
  `getUnitConcatenator` in class `CMUVoice`
Returns:
  the post lexical processor
Throws:
  `IOException` - if an IO error occurs while getting processor

### toString

public String toString()
Converts this object to a string

Overrides:
  `toString` in class `CMUVoice`
Returns:
  a string representation of this object